using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenije
{
    class Program
    {
        static void Main(string[] args)
        {
            string linija = Console.ReadLine();
            int N = int.Parse(linija.Split(' ')[0]);
            int M = int.Parse(linija.Split(' ')[1]);
            int broj;
            if (N == 1) broj = M;
            else if (M == 1) broj = N;
            else
            {
                broj = (2 * N + 2 * M - 4) + (((N - 2) * (M - 2)) / 2);
            }
            
            
            Console.WriteLine(broj);

        }
    }
}